<?php

namespace App\Core\Validator\PropertyPersonPricingPolicy;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class UpdateRoomRateChannelPersonPricingChildPolicyValidator extends BaseValidator
{


    private $setupType ;
    private $valueType ;

    public function __construct
    (


        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);

    }

    public function rules($params = null)
    {
        return
            [
                'property_id' => 'required|numeric',
                'channel_id' => 'required|numeric',
                'room_rate_channel_mapping_id' => 'required|numeric',
                'pricing_policy_child_id' => 'required|numeric',
                'is_selected' => 'required|boolean',
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }



    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
